//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;
using System.Collections;
using System.Collections.Specialized;

namespace FrameworkLibraries
{
	public class HybridDictionaryMain 
	{
		static void Main(string [] args)
		{
			HybridDictionary ht = new HybridDictionary();
			ht.Add("1", "Pierwszy");
			ht.Add("2", "Drugi");
			ht.Add("3", "Trzeci");
			ht.Add("4", "Czwarty");
			ht.Add("5", "Piąty");
			ht.Add(1, "Jeden");
			ht.Add(2, "Dwa");
			ht.Add(3, "Trzy");
			ht.Add(4, "Cztery");
			ht.Add(5, "Pięć");
			foreach(DictionaryEntry de in ht)
			{
				Console.WriteLine("{0} {1}", de.Key, de.Value);
			}
			Console.WriteLine("Zawiera 1: {0}", ht.Contains(1));
			Console.WriteLine("Zawiera 6: {0}", ht.Contains(6));
			Console.WriteLine("ht[1]: {0}", ht[1]);
		}
	}
}